# WARNING: This package is synced with FC
%global apiversion	0.1
%define major	1
%define libname	%mklibname mspub %{apiversion} %{major}
%define libdev	%mklibname mspub -d

Name:		libmspub
Version:	0.1.4
Release:	%mkrel 16
Summary:	A library for import of Microsoft Publisher documents
Group:		System/Libraries
License:	MPLv2.0
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libmspub
Source:		https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

Patch0: gcc10.patch
Patch1: includes.patch
Patch10: libmspub-0.1.4-icu.patch

BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(zlib)

%description
Libmspub is library providing ability to interpret and import Microsoft
Publisher content into various applications. You can find it being used
in libreoffice.

%package -n %{libname}
Summary:	A library for import of Microsoft Publisher documents
Group:		System/Libraries
Obsoletes:	%{_lib}mspub0 < 0.0.6-4

%description -n %{libname}
Libmspub is library providing ability to interpret and import Microsoft
Publisher content into various applications. You can find it being used
in libreoffice.

%package -n %{libdev}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libdev}
The %{libdev} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary:	Tools to transform Microsoft Publisher documents into other formats
Group:		Publishing

%description tools
Tools to transform Microsoft Publisher documents into other formats.
Currently supported: XHTML, raw.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# rhbz#1001245 we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
 export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
 for tool in pub2raw pub2xhtml; do
     help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
 done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 pub2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{libname}
%doc AUTHORS NEWS README
%license COPYING.MPL
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %{libdev}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/pub2raw
%{_bindir}/pub2xhtml
%{_mandir}/man1/pub2raw.1*
%{_mandir}/man1/pub2xhtml.1*


%changelog
* Fri Mar 07 2025 tv <tv> 0.1.4-16.mga10
+ Revision: 2161779
- FTBFS

* Sun Jan 12 2025 wally <wally> 0.1.4-15.mga10
+ Revision: 2138494
- rebuild for icu 76.1

* Tue Sep 26 2023 tv <tv> 0.1.4-14.mga10
+ Revision: 1991094
- Rebuild for icu-73

* Sat Jan 07 2023 squidf <squidf> 0.1.4-13.mga9
+ Revision: 1931138
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 0.1.4-12.mga9
+ Revision: 1864868
- rebuild for icu 71.1

* Sat Mar 19 2022 umeabot <umeabot> 0.1.4-11.mga9
+ Revision: 1799852
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.1.4-10.mga9
+ Revision: 1738940
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.1.4-9.mga8
+ Revision: 1650896
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.1.4-8.mga8
+ Revision: 1601036
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.1.4-7.mga8
+ Revision: 1564472
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.1.4-6.mga8
+ Revision: 1534611
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ tv <tv>
- Fix missing #include for gcc-10

* Sat Oct 05 2019 daviddavid <daviddavid> 0.1.4-5.mga8
+ Revision: 1449449
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.1.4-4.mga7
+ Revision: 1346102
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 0.1.4-3.mga7
+ Revision: 1299015
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 0.1.4-2.mga7
+ Revision: 1252952
- rebuild for new libicu

* Sun Apr 08 2018 kekepower <kekepower> 0.1.4-1.mga7
+ Revision: 1216226
- Update to version 0.1.4

* Wed Feb 07 2018 tv <tv> 0.1.3-1.mga7
+ Revision: 1199457
- new release

* Fri Dec 29 2017 wally <wally> 0.1.2-11.mga7
+ Revision: 1186985
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.2-10.mga6
+ Revision: 1093093
- Rebuild for icu-58.2

* Mon Sep 19 2016 tv <tv> 0.1.2-9.mga6
+ Revision: 1054311
- fix license
- add man pages
- we install API docs directly from build
- use %%license

* Sat May 14 2016 shlomif <shlomif> 0.1.2-7.mga6
+ Revision: 1015275
- Rebuild for the new UCI (new major)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.2-6.mga6
+ Revision: 917910
- rebuild for icu

* Fri Dec 25 2015 tv <tv> 0.1.2-5.mga6
+ Revision: 914732
- rebuild for new boost 1.60

* Wed Aug 26 2015 tv <tv> 0.1.2-4.mga6
+ Revision: 869855
- rebuild with gcc5

* Fri Jul 24 2015 cjw <cjw> 0.1.2-3.mga6
+ Revision: 856805
- rebuild for icu 55

* Sun Feb 01 2015 tv <tv> 0.1.2-2.mga5
+ Revision: 812973
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.2-1.mga5
+ Revision: 812802
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 740745
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.1-3.mga5
+ Revision: 726789
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681620
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658587
- new release

* Sat Apr 05 2014 wally <wally> 0.0.6-4.mga5
+ Revision: 611879
- fix lib pkg name
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 537320
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 0.0.6-2.mga4
+ Revision: 486821
- rebuild for icu 52

* Sat Aug 03 2013 fwang <fwang> 0.0.6-1.mga4
+ Revision: 462837
- use configure2_5x
- new version 0.0.6

* Mon Jul 08 2013 fwang <fwang> 0.0.0-8.mga4
+ Revision: 451237
- rebuild for new boost

* Sat Jan 12 2013 fwang <fwang> 0.0.0-7.mga3
+ Revision: 357906
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 malo <malo> 0.0.0-6.mga3
+ Revision: 307332
- update RPM group

* Thu Jul 05 2012 dmorgan <dmorgan> 0.0.0-5.mga3
+ Revision: 267805
- Remove unexisting epoch macro

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-4.mga3
+ Revision: 267767
- Add Epoch

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-3.mga3
+ Revision: 267757
- Rebuild for missing packages

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-2.mga3
+ Revision: 267743
- Fix provides in the devel package

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-1.mga3
+ Revision: 267731
- Fix groups
- imported package libmspub

